summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorViolet Purcell <vimproved@inventati.org>2023-07-08 18:25:37 +0000
committerMichał Górny <mgorny@gentoo.org>2023-07-17 11:44:14 +0200
commited78c944748d94ea4fb37c782b23cbe478899c1d (patch)
treeb21394682c242d1bbd845b155c0986cd3acd9c93 /eclass/distutils-r1.eclass
parentmultibuild.eclass: Remove --reflink=auto from calls to cp (diff)
downloadgentoo-ed78c944748d94ea4fb37c782b23cbe478899c1d.tar.gz
gentoo-ed78c944748d94ea4fb37c782b23cbe478899c1d.tar.bz2
gentoo-ed78c944748d94ea4fb37c782b23cbe478899c1d.zip
distutils-r1.eclass: Remove --reflink=auto from calls to cp
--reflink=auto has become the default behaviour in coreutils 9, and it is not compatible with BSD userland. Signed-off-by: Violet Purcell <vimproved@inventati.org> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index fd9bf47aa963..046277d0371c 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1974,7 +1974,7 @@ _distutils-r1_post_python_compile() {
die "${rscriptdir} should not exist!"
if [[ -d ${bindir} ]]; then
mkdir -p "${rscriptdir}" || die
- cp -a --reflink=auto "${bindir}"/. "${rscriptdir}"/ || die
+ cp -a "${bindir}"/. "${rscriptdir}"/ || die
fi
# enable venv magic inside the install tree